<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "timezone".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Timezone".
 *
 * Columns in table "timezone" available as properties of the model,
 * and there are no model relations.
 *
 * @property string $id
 * @property string $area_code
 * @property string $time_zone
 * @property string $state_code
 *
 */
abstract class BaseTimezone extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'timezone';
    }

    public static function representingColumn()
    {
        return 'time_zone';
    }

    public function rules()
    {
        return array(
            array('area_code, time_zone, state_code', 'required'),
            array('area_code, time_zone', 'length', 'max' => 3),
            array('state_code', 'length', 'max' => 2),
            array('id, area_code, time_zone, state_code', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'area_code' => Yii::t('app', 'Area Code'),
            'time_zone' => Yii::t('app', 'Time Zone'),
            'state_code' => Yii::t('app', 'State Code'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id, true);
        $criteria->compare('area_code', $this->area_code, true);
        $criteria->compare('time_zone', $this->time_zone, true);
        $criteria->compare('state_code', $this->state_code, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'Timezone|Timezones', $n);
    }

}
